function res=calculintegralexn_unsursqrt(n)


%	calculintegralexn_unsursqrt : calcul de l'intgrale de x^n/sqrt(1-x) sur (0,1) (en symbolique)
%
% *********************************************************
%
%	calculintegralexn_unsursqrt(n) : calcul en symbolique de I_n=\int_0^1 x^n/sqrt(1-x) dx
%                            par rcurrence avec I_n=((2n)/(2n+1))*I_{n-1} pour n>=1 et I_0=2.
%        
%
%	variables d'entres : 
%    *  n : entier naturel.
%    *  res=valeur des intgrale [I_0,I_1,....,I_(n-1),I_n]
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************
%



% Contrles d'entre
% nombre d'arguments
if nargin~=1
   error('nombre d''arguments de la fonction incorrect');
end

% Corps d'algorithme.
res=sym(zeros(1,n+1));
res(1)=sym(2);
for k=1:n
    res(k+1)=res(k)*sym(2*k)/sym(2*k+1); 
end
